Transactions

Methods for listing and retrieving transactions in B2BINPAY DeFi API

GET
/api/v1/deployments/{deploymentId}/transactions

Authorization

ApiKeyAuth
x-api-key<token>

Provide API key in X-API-Key header

In: header

Path Parameters

deploymentId*string

Deployment unique identifier

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

page?number

Page number (starts from 1)

Range0 < value <= 9007199254740991
Default1
pageSize?number

Number of items per page (max 100)

Range0 < value <= 100
Default10
sortBy?string

Field to sort by

Default"createdAt"

Value in

  • "id"
  • "createdAt"
  • "updatedAt"
sortOrder?string

Sort order (ASC or DESC)

Default"desc"

Value in

  • "asc"
  • "desc"
id?string

Filter by ID that includes the provided string

txHash?string

Filter by transaction hash (text includes)

createdFrom?string

Filter by created date starting from this date

createdTo?string

Filter by created date up to this date

updatedFrom?string

Filter by updated date starting from this date

updatedTo?string

Filter by updated date up to this date

currencyIds?array<string>

Filter by currency IDs

statuses?array<>

Filter by transaction statuses (multiselect)

operationId?string

Filter by operation ID (same as invoiceId)

operationTypes?array<>

Filter by operation type

isClaimed?|

Filter by claimed status (true for claimed, false for unclaimed)

currencyIsScam?|

Filter transactions by currency scam flag

currencyIsVerified?|

Filter transactions by currency verification flag

currencyIsHidden?|

Filter transactions by whether currency is hidden for current user (JWT only; ignored for API keys)

Response Body

application/json

curl -X GET "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/transactions"
{  "total": 100,  "page": 1,  "pageSize": 10,  "items": [    {      "id": "1234567890123456789",      "direction": "IN",      "status": "EXECUTED",      "chainId": "1",      "txHash": "0x5555666677778888999900001111222233334444555566667777888899990000",      "currencyId": "1-0xdac17f958d2ee523a2206206994597c13d831ec7",      "amount": "-5000.00",      "fromAddress": "0x0000000000000000000000000000000000000000",      "toAddress": "0x0000000000000000000000000000000000000000",      "operationId": "187654321987654321",      "operationType": "invoice",      "blockNumber": "12345678",      "blockchainFee": "0.001",      "confirmations": 12,      "createdAt": "2024-01-01T00:00:00.000Z",      "updatedAt": "2024-01-01T00:00:00.000Z",      "canClaim": false,      "isClaimed": false,      "invoiceId": "1234567890123456789",      "confirmedAt": "2024-01-01T00:00:00.000Z",      "invoice": {        "id": "1234567890123456789",        "trackingId": "INV-2024-0001",        "status": "CREATED"      },      "currency": {        "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7",        "symbol": "USDT",        "name": "Tether USD",        "chainId": "1",        "address": "0xdac17f958d2ee523a2206206994597c13d831ec7",        "decimals": 6,        "isScam": false,        "isVerified": true,        "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png"      },      "dappMetadata": {        "dappName": "string",        "dappUrl": "http://example.com",        "icon": "http://example.com"      },      "calls": [        {          "to": "0xa0b86a33e6c3b4c0b7b8c4e6f2d8e9f1a2b3c4d5",          "value": "0",          "data": "0xa9059cbb000000000000000000000000742d35cc6635c0532925a3b8d0a7f79ec35bdc52"        }      ]    }  ]}
Empty
Empty
Empty
GET
/api/v1/deployments/{deploymentId}/transactions/{transactionId}

Authorization

ApiKeyAuth
x-api-key<token>

Provide API key in X-API-Key header

In: header

Path Parameters

deploymentId*string

Deployment unique identifier

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
transactionId*string

Transaction ID

Response Body

application/json

curl -X GET "https://example.com/api/v1/deployments/123e4567-e89b-12d3-a456-426614174000/transactions/1234567890123456789"
{  "transaction": {    "id": "1234567890123456789",    "direction": "IN",    "status": "EXECUTED",    "chainId": "1",    "txHash": "0x5555666677778888999900001111222233334444555566667777888899990000",    "currencyId": "1-0xdac17f958d2ee523a2206206994597c13d831ec7",    "amount": "-5000.00",    "fromAddress": "0x0000000000000000000000000000000000000000",    "toAddress": "0x0000000000000000000000000000000000000000",    "operationId": "187654321987654321",    "operationType": "invoice",    "blockNumber": "12345678",    "blockchainFee": "0.001",    "confirmations": 12,    "createdAt": "2024-01-01T00:00:00.000Z",    "updatedAt": "2024-01-01T00:00:00.000Z",    "canClaim": false,    "isClaimed": false,    "invoiceId": "1234567890123456789",    "confirmedAt": "2024-01-01T00:00:00.000Z",    "invoice": {      "id": "1234567890123456789",      "trackingId": "INV-2024-0001",      "status": "CREATED"    },    "currency": {      "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7",      "symbol": "USDT",      "name": "Tether USD",      "chainId": "1",      "address": "0xdac17f958d2ee523a2206206994597c13d831ec7",      "decimals": 6,      "isScam": false,      "isVerified": true,      "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png"    },    "dappMetadata": {      "dappName": "string",      "dappUrl": "http://example.com",      "icon": "http://example.com"    },    "calls": [      {        "to": "0xa0b86a33e6c3b4c0b7b8c4e6f2d8e9f1a2b3c4d5",        "value": "0",        "data": "0xa9059cbb000000000000000000000000742d35cc6635c0532925a3b8d0a7f79ec35bdc52"      }    ]  },  "canClaim": false,  "isClaimed": false,  "invoice": {    "id": "1234567890123456789",    "trackingId": "INV-2024-0001",    "status": "CREATED"  },  "currency": {    "id": "1-0xdac17f958d2ee523a2206206994597c13d831ec7",    "symbol": "USDT",    "name": "Tether USD",    "chainId": "1",    "address": "0xdac17f958d2ee523a2206206994597c13d831ec7",    "decimals": 6,    "isScam": false,    "isVerified": true,    "logoUrl": "https://s2.coinmarketcap.com/static/img/coins/64x64/825.png"  }}
Empty
Empty
Empty

Última actualización